package org.xbib.event.async.impl.future;

import org.xbib.event.async.impl.ContextInternal;

/**
 * Otherwise value transformation.
 */
class FixedOtherwise<T> extends Operation<T> implements Listener<T> {

  private final T value;

  FixedOtherwise(ContextInternal context, T value) {
    super(context);
    this.value = value;
  }

  @Override
  public void onSuccess(T value) {
    tryComplete(value);
  }

  @Override
  public void onFailure(Throwable failure) {
    tryComplete(value);
  }
}
