package org.xbib.event.async.spi;

import org.xbib.event.async.impl.AsyncBuilder;

/**
 * Entry point for loading Vert.x SPI implementations.
 */
public interface AsyncServiceProvider {

  /**
   * Let the provider initialize the Vert.x builder.
   *
   * @param builder the builder
   */
  void init(AsyncBuilder builder);

}
