package org.xbib.event.async.yield.ops;

import org.xbib.event.async.yield.Advancer;
import org.xbib.event.async.yield.Traverser;
import org.xbib.event.async.yield.Yield;

import java.util.List;
import java.util.Spliterator;

public class FromList<U> implements Advancer<U>, Traverser<U> {
    private final Spliterator<U> current;

    public FromList(List<U> data) {
        this.current = data.spliterator();
    }

    @Override
    public void traverse(Yield<? super U> yield) {
        current.forEachRemaining(yield::ret);
    }

    @Override
    public boolean tryAdvance(Yield<? super U> yield) {
        return current.tryAdvance(yield::ret);
    }
}
