package org.xbib.event.async.yield.primitives.lng;

import org.xbib.event.async.yield.Yield;

/**
 * Equivalent to {@code LongConsumer} with a yield semantics.
 */
@FunctionalInterface
public interface LongYield extends Yield<Long> {
    void ret(long item);

    @Override
    default void ret(Long item) {
        this.ret((long) item);
    }
}
