package org.xbib.event.common;

import java.util.List;
import java.util.concurrent.CopyOnWriteArrayList;

public abstract class AbstractEventManagerService {

    private List<String> suspended;

    public AbstractEventManagerService() {
        this.suspended = new CopyOnWriteArrayList<>();
    }

    public void suspend(String name) {
        suspended.add(name);
    }

    public void resume(String name) {
        suspended.remove(name);
    }

    public List<String> getSuspended() {
        return suspended;
    }
}
