package org.xbib.event.log;

import java.nio.file.Path;
import java.time.Instant;

public interface RotationListener {

    void onTrigger(RotationPolicy policy, Instant instant);

    void onOpen(RotationPolicy policy, Instant instant);

    void onClose(RotationPolicy policy, Instant instant);

    void onSuccess(RotationPolicy policy, Instant instant, Path path);

    void onFailure(RotationPolicy policy, Instant instant, Path path, Throwable throwable);

}
