package org.xbib.event.clock;

import org.xbib.event.EventConsumer;
import org.xbib.event.bus.AllowConcurrentEvents;
import org.xbib.event.bus.Subscribe;

import java.time.Instant;
import java.util.logging.Level;
import java.util.logging.Logger;

public class TestClockEventConsumer implements EventConsumer {

    private static final Logger logger = Logger.getLogger(TestClockEventConsumer.class.getName());

    @Subscribe
    @AllowConcurrentEvents
    void onEvent(TestClockEvent event) {
        logger.log(Level.INFO, "received test clock event on " + Instant.now() +
                " event instant = " + event.getInstant());
    }
}
