package org.xbib.event.loop;

/**
 * Special {@link RuntimeException} which will be thrown by {@link EventLoop} and {@link EventLoopGroup}
 * implementations when an error occurs.
 */
@SuppressWarnings("serial")
public class EventLoopException extends RuntimeException {

    public EventLoopException() {
    }

    public EventLoopException(String message, Throwable cause) {
        super(message, cause);
    }

    public EventLoopException(String message) {
        super(message);
    }

    public EventLoopException(Throwable cause) {
        super(cause);
    }

}
