package org.xbib.event.loop.selector;

/**
 * Factory that creates a new {@link SelectStrategy} every time.
 */
public interface SelectStrategyFactory {

    /**
     * Creates a new {@link SelectStrategy}.
     */
    SelectStrategy newSelectStrategy();
}
