package org.xbib.event.async.yield.boxes;

public class LongBox {

    protected long value;

    private boolean isPresent;

    public LongBox() {
        this(Long.MIN_VALUE, false);
    }

    public LongBox(long value, boolean isPresent) {
        this.value = value;
        this.isPresent = isPresent;
    }

    public LongBox(long identity) {
        this.value = identity;
    }

    public long getValue() {
        return value;
    }

    public void setValue(long value) {
        this.value = value;
    }

    public boolean isPresent() {
        return isPresent;
    }

    public void turnPresent(long value) {
        this.value = value;
        isPresent = true;
    }
}
