package org.xbib.event.path;

import org.xbib.event.EventConsumer;
import org.xbib.event.PathEvent;
import org.xbib.event.bus.AllowConcurrentEvents;
import org.xbib.event.bus.Subscribe;

import java.util.logging.Level;
import java.util.logging.Logger;

public class TestPathEventConsumer implements EventConsumer {

    private static final Logger logger = Logger.getLogger(TestPathEventConsumer.class.getName());

    @Subscribe
    @AllowConcurrentEvents
    void onEvent(PathEvent event) {
        logger.log(Level.INFO, "received path event, path = " + event.getPath());
    }
}
